[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TFilenameCaseMatch

Type describing how ExpandFileNameCase found the resulting filename

## Declaration

Source position: finah.inc line 19

`type TFilenameCaseMatch = (`
`mkNone,` |  | No file was found
`mkExactMatch,` |  | The filename can be used to refer to a file on the system (findfirst will find it).
`mkSingleMatch,` |  | Exactly one match was found, but case didn't match.
`mkAmbiguous` |  | More than one file will match the filename in a case-insensitive way
`);`

## Description

TFilenameCaseMatch describes how ExpandFileNameCase found the file.

## See also

ExpandFileNameCase |  | Expand a filename entered as case insensitive to the full path as stored on the disk.